# $Id: jed.spec,v 1.11 2002/11/26 15:19:37 homyakov Exp $

Name: jed
Version: 0.99.16
Release: alt2
Serial: 2

%define srcname %name-0.99-16

Summary: A fast, compact editor based on the slang screen library
Summary(ru_RU.KOI8-R): ,     .
License: GPL
Group: Editors
Url: http://www.jedsoft.org/jed/

Source: ftp://ftp.jedsoft.org/pub/davis/jed/v0.99/%srcname.tar.bz2
Source1: %name.conf

Patch: %name-info.patch
Patch1: %srcname-alt-xft.patch

Requires: %name-common = %version-%release

# Automatically added by buildreq on Tue Nov 26 2002
BuildRequires: XFree86-devel XFree86-libs altlinux-release fontconfig-devel freetype2-devel libXft-devel libexpat libgpm-devel libslang-devel

%package common
Summary: Files needed by any Jed editor
Summary(ru_RU.KOI8-R):       JED 
Group: Editors

%package xjed
Summary: The X Window System version of the Jed text editor
Summary(ru_RU.KOI8-R):  JED c  X Window System
Group: Editors
Requires: %name-common = %version-%release

%package -n rgrep
Summary: A grep utility which can recursively descend through directories
Summary(ru_RU.KOI8-R):    grep
Group: File tools

%description
Jed is a fast, compact editor based on the slang screen library.  Jed
features include emulation of the Emacs, EDT, WordStar and Brief editors;
support for extensive customization with slang macros, colors,
keybindings, etc.; and a variety of programming modes with syntax
highlighting.

%description -l ru_RU.KOI8-R
      ,   
 slang. JED     
,   Emacs, EDT, WordStar  Brief;   
     :
 -  
 -  "" 
 -    .

%description common
The %name-common package contains files (such as .sl files) that are
needed by any %name binary in order to run.

%description -l ru_RU.KOI8-R common
 %name-common -- - () 
  %name.     
-,    %name.

%description xjed
X%name is a version of the Jed text editor that will work with the X Window
System.

You should install xjed if you like Jed and you'd like to use it with X.
You'll also need to have the X Window System installed.

%description -l ru_RU.KOI8-R xjed
X%name --  %name,     X Window System.

%description -n rgrep
The rgrep utility can recursively descend through directories as
it greps for the specified pattern.  Note that this ability does
take a toll on rgrep's performance, which is somewhat slow.  Rgrep
will also highlight the matching expression.

Install the rgrep package if you need a recursive grep which can
highlight the matching expression.

%description -n rgrep -l ru_RU.KOI8-R
  grep     ,
   .

%prep

%setup -q -n %srcname

%patch -p1
%patch1 -p1

%build
%configure --prefix=%_datadir -exec-prefix=%prefix --with-x

# enable gmp and Xft support
XFTCFLAGS=`xft-config --cflags`
XFTLIBS=`xft-config --libs`
%__subst "
     s!^#\(MOUSEFLAGS.*\)!\1!
     s!^#\(MOUSELIB.*\)!\1!
     s!^#\(GPMMOUSEO.*\)!\1!
     s!^#\(OBJGPMMOUSEO.*\)!\1!
     s!^#\(XRENDERFONTLIBS\).*!\1 = $XFTLIBS!
     s!^\(XINCLUDE = .*\)!\1 $XFTCFLAGS!
     " src/Makefile

%__subst '
     /XJED_HAS_XRENDERFONT/ s!0!1!
     ' src/jed-feat.h

%__subst '
     s/doc\/txt/help/
     ' lib/*.sl

%__subst '
     s!@INFODIR@!%_infodir!g
     s!@DATADIR@!%_datadir!g
     s!@LIBDIR@!%_libdir!g			     
     ' %SOURCE1

%make_build all xjed getmail JED_ROOT=%_datadir/%name

%install
%__mkdir_p %buildroot%_infodir
%__mkdir_p %buildroot%_datadir/%name/lib/colors/X%name
%__mkdir_p %buildroot%_datadir/%name/help
%__mkdir_p %buildroot%_libdir/%name

%__install -pD -m755 src/objs/x%name    %buildroot%_x11bindir/x%name
%__install -pD -m755 src/objs/%name     %buildroot%_bindir/%name
%__install -pD -m755 src/objs/rgrep     %buildroot%_bindir/rgrep
%__install -pD -m755 src/objs/getmail   %buildroot%_libdir/%name/getmail

pushd %buildroot%_bindir
	ln -s %name %name-script
popd

%__install -pD -m644 %SOURCE1           %buildroot%_sysconfdir/%name.conf

%__install -pD -m644 doc/manual/%name.1 %buildroot%_man1dir/%name.1
%__install -pD -m644 doc/manual/rgrep.1 %buildroot%_man1dir/rgrep.1

%__install -m644 info/%name.*           %buildroot%_infodir
%__install -m644 doc/txt/*              %buildroot%_datadir/jed/help

%__cp -r         lib                    %buildroot%_datadir/%name/

# now make .slc files
( 
    export JED_ROOT=%buildroot%_datadir/%name
    %buildroot%_bindir/%name -batch -n -l preparse.sl
) || :

%post common
%install_info %{name}.info

%postun common
%uninstall_info %{name}.info

%files
%_bindir/%{name}*

%files common
     %_sysconfdir/%name.conf
     %_man1dir/%name.1*
     %_datadir/%name/*
     %_libdir/%name/*
     %_infodir/%name.*
%dir %_datadir/%name
%dir %_libdir/%name
%doc COPYRIGHT README changes.txt INSTALL.unx

%files xjed
%_x11bindir/x%name

%files -n rgrep
%_bindir/rgrep
%_man1dir/rgrep.1*

%changelog
* Tue Nov 26 2002 Igor Homyakov <homyakov at altlinux dot ru> 2:0.99.16-alt2
- added patch for xjed anti-aliasing (thanx for voins@ and aen@)
- enable anti-aliasing support in XJed 

* Fri Aug 30 2002 Igor Homyakov <homyakov at altlinux dot ru> 1:0.99.16-alt1
- update URLs
- rewrited jed.spec
- moved info to %_infodir
- moved getmail to %_libdir/jed
- renamed doc/txt/ to help/
- added sistem wide config file (jed.conf)

* Sun Apr 14 2002 Igor Homyakov <homyakov@altlinux.ru> B0.99.15-alt2
- New modes added (javascript, CSS, ruby, manedit)
- Merge with new LaTeX mode scripts.
- spec cleanup

* Tue Nov 6 2001 Igor Homyakov <homyakov@altlinux.ru> B0.99.15-alt
- build B0.99-15 package
- added russian translation for jed.spec file

* Sat Jun 09 2001 Dmitry V. Levin <ldv@altlinux.ru> B0.99.14-alt1
- Specfile cleanup according to packaging policy.

* Wed Jun 06 2001 Igor Homyakov <homyakov@openbsd.ru>
- make package for ALTLinux with minor changes
- added xjed anti-aliased font support patch by
  Charl P. Botha <cpbotha@ieee.org>

* Sat Jun 02 2001 Matt Hyclak <mrh@ling.ohio-state.edu>
- updated to jed 0.99.14
- removed debian specific stuff from the patch

* Wed Feb 21 2001 Matt Hyclak <mrh@penguinpowered.com>
- updated to jed 0.99.13

* Tue Nov 28 2000 Guido Gonzato <ggonza@tin.it>
- added the %post directive for linking the doc directory to JED_ROOT
- removed Perl - sed will do

* Mon Nov 27 2000 Charl P. Botha <cpbotha@ieee.org>
- thanks to Guido Gonzato <ggonza@tin.it> and
  Ric Klaren <klaren@cs.utwente.nl> these use the _mandir macro for placing
  the man pages.  Notice that this only takes effect when the rpm is rebuilt
  on a new distribution.
- minor fixes in install procedure

* Sun Nov 26 2000 Charl P. Botha <cpbotha@ieee.org>
- updated to new upstream revision B0.99-12
- we now simply make use of the debian jed package diff file as single patch.
  i am the debian maintainer, so this makes it easy for me to keep everything
  up to date.
- we're also building on a machine supplied by Ethan Blanton.  Thanks Ethan!

* Mon Aug 21 2000 Charl P. Botha <cpbotha@ieee.org>
- updated jed rpms to require slang >= 1.3.11, as per documentation

* Wed Jun  7 2000 Charl P. Botha <cpbotha@ieee.org>
- added GPM support to RPMs, requested by <guido@ibogeo.df.unibo.it>

* Fri Jun  2 2000 Charl P. Botha <cpbotha@ieee.org>
- integrated patch from mailing list (thanks John) that fixes emacs-style
  locking on filesystems that don't support symlinks.

* Tue May 30 2000 Charl P. Botha <cpbotha@ieee.org>
- updated to JED B0.99-11
- includes getmail, requested by <guido@ibogeo.df.unibo.it>
- moved info to /usr/lib/jed/info (rh default)

* Tue Nov 16 1999 Charl P. Botha <cpbotha@ieee.org>
- changed to JED B0.99-10

* Sun Sep 26 1999 Charl P. Botha <cpbotha@ieee.org>
- fixed up duplication of doc files
- moved info dir to /usr/doc/jed-*/

* Fri Sep 24 1999 Charl P. Botha <cpbotha@ieee.org>
- changed to use more of John's make install and rebuilt

* Thu Sep 23 1999 Charl P. Botha <cpbotha@ieee.org>
- rebuild for jed B0.99.9

* Wed Jul 14 1999 Charl P. Botha <cpbotha@ieee.org>
- rebuild for jed B0.99-8

* Sun Jul 4 1999 Charl P. Botha <cpbotha@ieee.org>
- modified for jed B0.99-7 from Redhat 6.0 spec

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- update to 0.98.7 for Raw Hide
- split off lib stuff into jed-common

* Mon Oct  5 1998 Jeff Johnson <jbj@redhat.com>
- change rgep group tag, same as grep.

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- added wmconfig entry for xjed

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated to 0.98.4
- included man pages in file lists

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
